<?xml version="1.0" encoding="utf-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="generator" content="Docutils 0.16: http://docutils.sourceforge.net/" />
<title>reference documentation</title>
<meta name=viewport content="width=device-width, initial-scale=1">
<link rel="stylesheet" href="style.css" type="text/css" />
<link rel="stylesheet" type="text/css" href="rst.css" />
<style type="text/css">
/* Hides from IE-mac \*/
* html pre { height: 1%; }
/* End hide from IE-mac */
</style>
</head>
<body>
<div class="document" id="reference-documentation">
    <div id="container">
    <a href="index.html"><table id="header">
    <tr><td id="orange"></td>
    <td id="logo">libtorrent</td></tr>
    </table></a>
    <div id="main">
<h1 class="title">reference documentation</h1>

<p><a class="reference external" href="single-page-ref.html">single-page version</a></p>
<div class="main-toc docutils container">
<p class="rubric">Session</p>
<div class="line-block">
<div class="line"><a class="reference external" href="reference-Session.html#stats_metric">stats_metric</a></div>
<div class="line"><a class="reference external" href="reference-Session.html#session_handle">session_handle</a></div>
<div class="line"><a class="reference external" href="reference-Session.html#session_proxy">session_proxy</a></div>
<div class="line"><a class="reference external" href="reference-Session.html#session_params">session_params</a></div>
<div class="line"><a class="reference external" href="reference-Session.html#session">session</a></div>
<div class="line"><a class="reference external" href="reference-Session.html#session_stats_metrics()">session_stats_metrics()</a></div>
<div class="line"><a class="reference external" href="reference-Session.html#find_metric_idx()">find_metric_idx()</a></div>
<div class="line"><a class="reference external" href="reference-Session.html#read_session_params()">read_session_params()</a></div>
<div class="line"><a class="reference external" href="reference-Session.html#metric_type_t">metric_type_t</a></div>
</div>
<p class="rubric">Core</p>
<div class="line-block">
<div class="line"><a class="reference external" href="reference-Core.html#peer_class_info">peer_class_info</a></div>
<div class="line"><a class="reference external" href="reference-Core.html#peer_connection_handle">peer_connection_handle</a></div>
<div class="line"><a class="reference external" href="reference-Core.html#bt_peer_connection_handle">bt_peer_connection_handle</a></div>
<div class="line"><a class="reference external" href="reference-Core.html#torrent_status">torrent_status</a></div>
<div class="line"><a class="reference external" href="reference-Core.html#announce_endpoint">announce_endpoint</a></div>
<div class="line"><a class="reference external" href="reference-Core.html#announce_entry">announce_entry</a></div>
<div class="line"><a class="reference external" href="reference-Core.html#open_file_state">open_file_state</a></div>
<div class="line"><a class="reference external" href="reference-Core.html#peer_class_type_filter">peer_class_type_filter</a></div>
<div class="line"><a class="reference external" href="reference-Core.html#block_info">block_info</a></div>
<div class="line"><a class="reference external" href="reference-Core.html#partial_piece_info">partial_piece_info</a></div>
<div class="line"><a class="reference external" href="reference-Core.html#torrent_handle">torrent_handle</a></div>
<div class="line"><a class="reference external" href="reference-Core.html#cache_status">cache_status</a></div>
<div class="line"><a class="reference external" href="reference-Core.html#web_seed_entry">web_seed_entry</a></div>
<div class="line"><a class="reference external" href="reference-Core.html#load_torrent_limits">load_torrent_limits</a></div>
<div class="line"><a class="reference external" href="reference-Core.html#torrent_info">torrent_info</a></div>
<div class="line"><a class="reference external" href="reference-Core.html#add_torrent_params">add_torrent_params</a></div>
<div class="line"><a class="reference external" href="reference-Core.html#peer_info">peer_info</a></div>
<div class="line"><a class="reference external" href="reference-Core.html#peer_request">peer_request</a></div>
<div class="line"><a class="reference external" href="reference-Core.html#write_resume_data()">write_resume_data()</a></div>
<div class="line"><a class="reference external" href="reference-Core.html#write_resume_data_buf()">write_resume_data_buf()</a></div>
<div class="line"><a class="reference external" href="reference-Core.html#make_magnet_uri()">make_magnet_uri()</a></div>
<div class="line"><a class="reference external" href="reference-Core.html#parse_magnet_uri()">parse_magnet_uri()</a></div>
<div class="line"><a class="reference external" href="reference-Core.html#version()">version()</a></div>
<div class="line"><a class="reference external" href="reference-Core.html#generate_fingerprint()">generate_fingerprint()</a></div>
<div class="line"><a class="reference external" href="reference-Core.html#hash_value()">hash_value()</a></div>
<div class="line"><a class="reference external" href="reference-Core.html#is_utp_stream_logging()">is_utp_stream_logging()</a></div>
<div class="line"><a class="reference external" href="reference-Core.html#set_utp_stream_logging()">set_utp_stream_logging()</a></div>
<div class="line"><a class="reference external" href="reference-Core.html#read_resume_data()">read_resume_data()</a></div>
<div class="line"><a class="reference external" href="reference-Core.html#connection_type">connection_type</a></div>
<div class="line"><a class="reference external" href="reference-Core.html#portmap_transport">portmap_transport</a></div>
<div class="line"><a class="reference external" href="reference-Core.html#portmap_protocol">portmap_protocol</a></div>
<div class="line"><a class="reference external" href="reference-Core.html#torrent_flags_t">torrent_flags_t</a></div>
<div class="line"><a class="reference external" href="reference-Core.html#download_priority_t">download_priority_t</a></div>
<div class="line"><a class="reference external" href="reference-Core.html#pex_flags_t">pex_flags_t</a></div>
<div class="line"><a class="reference external" href="reference-Core.html#file_open_mode_t">file_open_mode_t</a></div>
<div class="line"><a class="reference external" href="reference-Core.html#open_mode_t">open_mode_t</a></div>
</div>
<p class="rubric">Settings</p>
<div class="line-block">
<div class="line"><a class="reference external" href="reference-Settings.html#overview">overview</a></div>
<div class="line"><a class="reference external" href="reference-Settings.html#settings_pack">settings_pack</a></div>
<div class="line"><a class="reference external" href="reference-Settings.html#high_performance_seed()">high_performance_seed()</a></div>
<div class="line"><a class="reference external" href="reference-Settings.html#min_memory_usage()">min_memory_usage()</a></div>
<div class="line"><a class="reference external" href="reference-Settings.html#setting_by_name()">setting_by_name()</a></div>
<div class="line"><a class="reference external" href="reference-Settings.html#name_for_setting()">name_for_setting()</a></div>
<div class="line"><a class="reference external" href="reference-Settings.html#default_settings()">default_settings()</a></div>
</div>
<p class="rubric">DHT</p>
<div class="line-block">
<div class="line"><a class="reference external" href="reference-DHT.html#dht_settings">dht_settings</a></div>
<div class="line"><a class="reference external" href="reference-DHT.html#dht_storage_counters">dht_storage_counters</a></div>
<div class="line"><a class="reference external" href="reference-DHT.html#dht_storage_interface">dht_storage_interface</a></div>
<div class="line"><a class="reference external" href="reference-DHT.html#dht_state">dht_state</a></div>
<div class="line"><a class="reference external" href="reference-DHT.html#dht_default_storage_constructor()">dht_default_storage_constructor()</a></div>
<div class="line"><a class="reference external" href="reference-DHT.html#sign_mutable_item()">sign_mutable_item()</a></div>
<div class="line"><a class="reference external" href="reference-DHT.html#announce_flags_t">announce_flags_t</a></div>
</div>
</div>
<div class="main-toc docutils container">
<p class="rubric">Error Codes</p>
<div class="line-block">
<div class="line"><a class="reference external" href="reference-Error_Codes.html#storage_error">storage_error</a></div>
<div class="line"><a class="reference external" href="reference-Error_Codes.html#libtorrent_category()">libtorrent_category()</a></div>
<div class="line"><a class="reference external" href="reference-Error_Codes.html#http_category()">http_category()</a></div>
<div class="line"><a class="reference external" href="reference-Error_Codes.html#pcp_category()">pcp_category()</a></div>
<div class="line"><a class="reference external" href="reference-Error_Codes.html#upnp_category()">upnp_category()</a></div>
<div class="line"><a class="reference external" href="reference-Error_Codes.html#gzip_category()">gzip_category()</a></div>
<div class="line"><a class="reference external" href="reference-Error_Codes.html#bdecode_category()">bdecode_category()</a></div>
<div class="line"><a class="reference external" href="reference-Error_Codes.html#socks_category()">socks_category()</a></div>
<div class="line"><a class="reference external" href="reference-Error_Codes.html#i2p_category()">i2p_category()</a></div>
<div class="line"><a class="reference external" href="reference-Error_Codes.html#error_code_enum">error_code_enum</a></div>
<div class="line"><a class="reference external" href="reference-Error_Codes.html#http_errors">http_errors</a></div>
<div class="line"><a class="reference external" href="reference-Error_Codes.html#pcp_errors">pcp_errors</a></div>
<div class="line"><a class="reference external" href="reference-Error_Codes.html#error_code_enum">error_code_enum</a></div>
<div class="line"><a class="reference external" href="reference-Error_Codes.html#error_code_enum">error_code_enum</a></div>
<div class="line"><a class="reference external" href="reference-Error_Codes.html#error_code_enum">error_code_enum</a></div>
<div class="line"><a class="reference external" href="reference-Error_Codes.html#socks_error_code">socks_error_code</a></div>
<div class="line"><a class="reference external" href="reference-Error_Codes.html#i2p_error_code">i2p_error_code</a></div>
</div>
<p class="rubric">Bdecoding</p>
<div class="line-block">
<div class="line"><a class="reference external" href="reference-Bdecoding.html#bdecode_node">bdecode_node</a></div>
<div class="line"><a class="reference external" href="reference-Bdecoding.html#print_entry()">print_entry()</a></div>
<div class="line"><a class="reference external" href="reference-Bdecoding.html#bdecode()">bdecode()</a></div>
</div>
<p class="rubric">Create Torrents</p>
<div class="line-block">
<div class="line"><a class="reference external" href="reference-Create_Torrents.html#overview">overview</a></div>
<div class="line"><a class="reference external" href="reference-Create_Torrents.html#create_torrent">create_torrent</a></div>
<div class="line"><a class="reference external" href="reference-Create_Torrents.html#add_files()">add_files()</a></div>
<div class="line"><a class="reference external" href="reference-Create_Torrents.html#set_piece_hashes()">set_piece_hashes()</a></div>
</div>
<p class="rubric">Bencoding</p>
<div class="line-block">
<div class="line"><a class="reference external" href="reference-Bencoding.html#overview">overview</a></div>
<div class="line"><a class="reference external" href="reference-Bencoding.html#entry">entry</a></div>
<div class="line"><a class="reference external" href="reference-Bencoding.html#bencode()">bencode()</a></div>
<div class="line"><a class="reference external" href="reference-Bencoding.html#operator&lt;&lt;()">operator&lt;&lt;()</a></div>
</div>
<p class="rubric">Filter</p>
<div class="line-block">
<div class="line"><a class="reference external" href="reference-Filter.html#ip_filter">ip_filter</a></div>
<div class="line"><a class="reference external" href="reference-Filter.html#port_filter">port_filter</a></div>
</div>
</div>
<div class="main-toc docutils container">
<p class="rubric">Plugins</p>
<div class="line-block">
<div class="line"><a class="reference external" href="reference-Plugins.html#overview">overview</a></div>
<div class="line"><a class="reference external" href="reference-Plugins.html#plugin">plugin</a></div>
<div class="line"><a class="reference external" href="reference-Plugins.html#torrent_plugin">torrent_plugin</a></div>
<div class="line"><a class="reference external" href="reference-Plugins.html#peer_plugin">peer_plugin</a></div>
<div class="line"><a class="reference external" href="reference-Plugins.html#crypto_plugin">crypto_plugin</a></div>
<div class="line"><a class="reference external" href="reference-Plugins.html#create_ut_metadata_plugin()">create_ut_metadata_plugin()</a></div>
<div class="line"><a class="reference external" href="reference-Plugins.html#create_smart_ban_plugin()">create_smart_ban_plugin()</a></div>
<div class="line"><a class="reference external" href="reference-Plugins.html#create_ut_pex_plugin()">create_ut_pex_plugin()</a></div>
</div>
<p class="rubric">Custom Storage</p>
<div class="line-block">
<div class="line"><a class="reference external" href="reference-Custom_Storage.html#overview">overview</a></div>
<div class="line"><a class="reference external" href="reference-Custom_Storage.html#storage_interface">storage_interface</a></div>
<div class="line"><a class="reference external" href="reference-Custom_Storage.html#default_storage">default_storage</a></div>
<div class="line"><a class="reference external" href="reference-Custom_Storage.html#file_pool">file_pool</a></div>
</div>
<p class="rubric">Utility</p>
<div class="line-block">
<div class="line"><a class="reference external" href="reference-Utility.html#bitfield">bitfield</a></div>
<div class="line"><a class="reference external" href="reference-Utility.html#hasher">hasher</a></div>
<div class="line"><a class="reference external" href="reference-Bencoding.html#operator&lt;&lt;()">operator&lt;&lt;()</a></div>
<div class="line"><a class="reference external" href="reference-Utility.html#operator&gt;&gt;()">operator&gt;&gt;()</a></div>
</div>
<p class="rubric">Storage</p>
<div class="line-block">
<div class="line"><a class="reference external" href="reference-Storage.html#storage_params">storage_params</a></div>
<div class="line"><a class="reference external" href="reference-Storage.html#file_slice">file_slice</a></div>
<div class="line"><a class="reference external" href="reference-Storage.html#file_storage">file_storage</a></div>
<div class="line"><a class="reference external" href="reference-Storage.html#default_storage_constructor()">default_storage_constructor()</a></div>
<div class="line"><a class="reference external" href="reference-Storage.html#disabled_storage_constructor()">disabled_storage_constructor()</a></div>
<div class="line"><a class="reference external" href="reference-Storage.html#zero_storage_constructor()">zero_storage_constructor()</a></div>
<div class="line"><a class="reference external" href="reference-Storage.html#storage_mode_t">storage_mode_t</a></div>
<div class="line"><a class="reference external" href="reference-Storage.html#status_t">status_t</a></div>
<div class="line"><a class="reference external" href="reference-Storage.html#move_flags_t">move_flags_t</a></div>
</div>
<p class="rubric">ed25519</p>
<div class="line-block">
<div class="line"><a class="reference external" href="reference-ed25519.html#ed25519_create_seed()">ed25519_create_seed()</a></div>
<div class="line"><a class="reference external" href="reference-ed25519.html#ed25519_create_keypair()">ed25519_create_keypair()</a></div>
<div class="line"><a class="reference external" href="reference-ed25519.html#ed25519_sign()">ed25519_sign()</a></div>
<div class="line"><a class="reference external" href="reference-ed25519.html#ed25519_verify()">ed25519_verify()</a></div>
<div class="line"><a class="reference external" href="reference-ed25519.html#ed25519_add_scalar()">ed25519_add_scalar()</a></div>
<div class="line"><a class="reference external" href="reference-ed25519.html#ed25519_key_exchange()">ed25519_key_exchange()</a></div>
</div>
<p class="rubric">Network</p>
<div class="line-block">
<div class="line"><a class="reference external" href="reference-Network.html#if_state">if_state</a></div>
<div class="line"><a class="reference external" href="reference-Network.html#interface_flags">interface_flags</a></div>
</div>
</div>
<div class="main-toc docutils container">
<p class="rubric">Alerts</p>
<div class="line-block">
<div class="line"><a class="reference external" href="reference-Alerts.html#overview">overview</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#alert">alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#dht_routing_bucket">dht_routing_bucket</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#torrent_alert">torrent_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#peer_alert">peer_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#tracker_alert">tracker_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#torrent_removed_alert">torrent_removed_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#read_piece_alert">read_piece_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#file_completed_alert">file_completed_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#file_renamed_alert">file_renamed_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#file_rename_failed_alert">file_rename_failed_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#performance_alert">performance_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#state_changed_alert">state_changed_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#tracker_error_alert">tracker_error_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#tracker_warning_alert">tracker_warning_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#scrape_reply_alert">scrape_reply_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#scrape_failed_alert">scrape_failed_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#tracker_reply_alert">tracker_reply_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#dht_reply_alert">dht_reply_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#tracker_announce_alert">tracker_announce_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#hash_failed_alert">hash_failed_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#peer_ban_alert">peer_ban_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#peer_unsnubbed_alert">peer_unsnubbed_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#peer_snubbed_alert">peer_snubbed_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#peer_error_alert">peer_error_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#peer_connect_alert">peer_connect_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#peer_disconnected_alert">peer_disconnected_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#invalid_request_alert">invalid_request_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#torrent_finished_alert">torrent_finished_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#piece_finished_alert">piece_finished_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#request_dropped_alert">request_dropped_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#block_timeout_alert">block_timeout_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#block_finished_alert">block_finished_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#block_downloading_alert">block_downloading_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#unwanted_block_alert">unwanted_block_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#storage_moved_alert">storage_moved_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#storage_moved_failed_alert">storage_moved_failed_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#torrent_deleted_alert">torrent_deleted_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#torrent_delete_failed_alert">torrent_delete_failed_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#save_resume_data_alert">save_resume_data_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#save_resume_data_failed_alert">save_resume_data_failed_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#torrent_paused_alert">torrent_paused_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#torrent_resumed_alert">torrent_resumed_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#torrent_checked_alert">torrent_checked_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#url_seed_alert">url_seed_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#file_error_alert">file_error_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#metadata_failed_alert">metadata_failed_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#metadata_received_alert">metadata_received_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#udp_error_alert">udp_error_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#external_ip_alert">external_ip_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#listen_failed_alert">listen_failed_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#listen_succeeded_alert">listen_succeeded_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#portmap_error_alert">portmap_error_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#portmap_alert">portmap_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#portmap_log_alert">portmap_log_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#fastresume_rejected_alert">fastresume_rejected_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#peer_blocked_alert">peer_blocked_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#dht_announce_alert">dht_announce_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#dht_get_peers_alert">dht_get_peers_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#stats_alert">stats_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#cache_flushed_alert">cache_flushed_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#lsd_peer_alert">lsd_peer_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#trackerid_alert">trackerid_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#dht_bootstrap_alert">dht_bootstrap_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#torrent_error_alert">torrent_error_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#torrent_need_cert_alert">torrent_need_cert_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#incoming_connection_alert">incoming_connection_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#add_torrent_alert">add_torrent_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#state_update_alert">state_update_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#session_stats_alert">session_stats_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#dht_error_alert">dht_error_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#dht_immutable_item_alert">dht_immutable_item_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#dht_mutable_item_alert">dht_mutable_item_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#dht_put_alert">dht_put_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#i2p_alert">i2p_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#dht_outgoing_get_peers_alert">dht_outgoing_get_peers_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#log_alert">log_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#torrent_log_alert">torrent_log_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#peer_log_alert">peer_log_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#lsd_error_alert">lsd_error_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#dht_lookup">dht_lookup</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#dht_stats_alert">dht_stats_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#incoming_request_alert">incoming_request_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#dht_log_alert">dht_log_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#dht_pkt_alert">dht_pkt_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#dht_get_peers_reply_alert">dht_get_peers_reply_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#dht_direct_response_alert">dht_direct_response_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#picker_log_alert">picker_log_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#session_error_alert">session_error_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#dht_live_nodes_alert">dht_live_nodes_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#session_stats_header_alert">session_stats_header_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#dht_sample_infohashes_alert">dht_sample_infohashes_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#block_uploaded_alert">block_uploaded_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#alerts_dropped_alert">alerts_dropped_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#socks5_alert">socks5_alert</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#alert_cast()">alert_cast()</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#operation_name()">operation_name()</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#operation_t">operation_t</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#socket_type_t">socket_type_t</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#alert_category_t">alert_category_t</a></div>
<div class="line"><a class="reference external" href="reference-Alerts.html#int">int</a></div>
</div>
</div>

    </div>
    </div>
    <div id="gradient"></div>
    <div id="footer">
    <table>
    <tr>
      <td><a href="index.html">home</a></td>
      <td><a href="https://blog.libtorrent.org">blog</a></td>
      <td><a href="utp.html">uTP</a></td>
    </tr>
    <tr>
      <td><a href="https://sourceforge.net/projects/libtorrent/files/libtorrent/">download</a></td>
      <td><a href="reference.html">documentation</a></td>
      <td><a href="dht_store.html">DHT put extension</a></td>
    </tr>
    <tr>
      <td><a href="https://sourceforge.net/projects/libtorrent/files/py-libtorrent/">python bindings</a></td>
      <td><a href="features.html">features</a></td>
      <td><a href="dht_sec.html">DHT security extension</a></td>
    </tr>
    <tr>
      <td><a href="https://sourceforge.net/p/libtorrent/mailman/libtorrent-discuss/">mailing list archive</a></td>
      <td><a href="contributing.html">contributing</a></td>
      <td><a href="streaming.html">streaming</a></td>
    </tr>
    <tr>
      <td><a href="https://github.com/arvidn/libtorrent/issues">report a bug</a></td>
      <td><a href="building.html">building</a></td>
      <td><a href="bittorrent.pdf">bittorrent slides</a></td>
    </tr>
    </table>
    </div>
    <div id="filler"></div>

</div>
</body>
</html>
